Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.delegate
Class ClientConnectionFactoryDelegate

    java.lang.Object
      org.jboss.jms.client.delegate.DelegateSupport
          org.jboss.jms.client.delegate.ClientConnectionFactoryDelegate

All Implemented Interfaces:
  ConnectionFactoryDelegate, ConnectionFactoryEndpoint, java.io.Serializable

public class ClientConnectionFactoryDelegate
extends DelegateSupport
implements ConnectionFactoryDelegate

The client-side ConnectionFactory delegate class.

Version:
  `$Revision: 1.25 $` $Id: ClientConnectionFactoryDelegate.java,v 1.25 2006/06/30 19:03:58 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`protected boolean` | `clientPing`
`protected java.lang.String` | `serverID`
`protected java.lang.String` | `serverLocatorURI`
`protected Version` | `serverVersion`

Fields inherited from class org.jboss.jms.client.delegate.DelegateSupport
`id, state`

Constructor Summary
`ClientConnectionFactoryDelegate(int objectID, java.lang.String serverLocatorURI, Version serverVersion, java.lang.String serverID, boolean clientPing)`

Method Summary
`ConnectionDelegate` | `createConnectionDelegate(java.lang.String username, java.lang.String password)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`protected Client` | `getClient()`
`byte[]` | `getClientAOPConfig()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`IdBlock` | `getIdBlock(int size)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`java.lang.String` | `getServerID()`
`java.lang.String` | `getServerLocatorURI()`
`Version` | `getServerVersion()`
`Version` | `getVersionToUse()`
`java.lang.Object` | `invoke(Invocation invocation)` DelegateSupport also acts as an interceptor - the last interceptor in the chain which invokes on the server.
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.jms.client.delegate.DelegateSupport
`getID, getMetaData, getName, getState, init, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serverLocatorURI

    protected java.lang.String serverLocatorURI

### serverVersion

    protected Version serverVersion

### serverID

    protected java.lang.String serverID

### clientPing

    protected boolean clientPing

Constructor Detail

### ClientConnectionFactoryDelegate

    public ClientConnectionFactoryDelegate(int objectID,
                                           java.lang.String serverLocatorURI,
                                           Version serverVersion,
                                           java.lang.String serverID,
                                           boolean clientPing)

Method Detail

### createConnectionDelegate

    public ConnectionDelegate createConnectionDelegate(java.lang.String username,
                                                       java.lang.String password)
                                                throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createConnectionDelegate` in interface `ConnectionFactoryEndpoint`
  Throws:
    `JMSException`

### getClientAOPConfig

    public byte[] getClientAOPConfig()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getClientAOPConfig` in interface `ConnectionFactoryEndpoint`

### getIdBlock

    public IdBlock getIdBlock(int size)

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getIdBlock` in interface `ConnectionFactoryEndpoint`

### invoke

    public java.lang.Object invoke(Invocation invocation)
                            throws java.lang.Throwable

  Description copied from class: `DelegateSupport`
  DelegateSupport also acts as an interceptor - the last interceptor in the chain which invokes on the server.

  Overrides:
    `invoke` in class `DelegateSupport`
  Throws:
    `java.lang.Throwable`

### getServerVersion

    public Version getServerVersion()

### getServerID

    public java.lang.String getServerID()

### getVersionToUse

    public Version getVersionToUse()

### getServerLocatorURI

    public java.lang.String getServerLocatorURI()

### toString

    public java.lang.String toString()

### getClient

    protected Client getClient()

  Specified by:
    `getClient` in class `DelegateSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.